#include <stdio.h>

long bitwise(long x, long y)
{
	long t1 = x ^ y;
	long t2 = t1 >> 17;
	long mask = (1 << 13) - 7;
	long rval = t2 & mask;
	return rval;
}

int main()
{
	long a = 0x12345678L, b = 0xfedcba98L;
	long r = bitwise(a, b);
	printf("bitwise(0x%lx, 0x%lx) = 0x%lx\n", a, b, r);
	return 0;
}
